function init(hero) {
    hero.setName("Black Widow");
    hero.setTier(2);
    
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.addEquipment("fiskheroes:black_canarys_tonfas");
	hero.addEquipment("fiskheroes:rip_hunters_gun");
    
    hero.addAbilities("fiskheroes:throwing_stars");
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("SWORD_DAMAGE", 3.0, 0);
	
	hero.addKeyBind("AIM", "key.aim", 1);
    hero.addKeyBind("UTILITY_RESET", "key.utilityReset", 2);
	
	hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "USE_RIPS_GUN";
}
    
function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun";
}